Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor.descriptor
Class ClassDescriptor

    java.lang.Object
      datechooser.beans.editor.descriptor.ClassDescriptor

Direct Known Subclasses:
  AppearancesListDescriptor, BackRendererDescriptor, BorderDescriptor, ColorDescriptor, CustomCellAppearanceDescriptor, FontDescriptor, GregorianCalendarDescriptor, IntegerDescriptor, LocaleDescriptor, ModelBehaviorDescriptor, PeriodDescriptor, PeriodSetDescriptor, StringDescriptor, SwingCellAppearanceDescriptor, ViewDescriptor, WeekDaysStyleDescriptor

    public abstract class ClassDescriptor

extends java.lang.Object

Abstract object descriptor class. You must extend it to register own class in DescriptionManager.
Абстрактный класс - описатель объектов. Все классы, зарегистрированные в DescriptionManager должны быть унаследованы от него.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `DescriptionManager`

Field Summary
`protected static java.lang.String` | `NEW_LINE_SEPARATOR`
`protected static java.lang.String` | `ONE_LINE_SEPARATOR`

Constructor Summary
`ClassDescriptor()`

Method Summary
`boolean` | `canProcessNull()` Does class plan to process null values.
`protected java.lang.String` | `getClassName()` Возвращает полное имя класса.
`abstract java.lang.Class` | `getDescriptedClass()` Class of descripting object.
`abstract java.lang.String` | `getDescription(java.lang.Object value)` Describes object for output.
`java.lang.String` | `getDescription(java.lang.Object value, java.util.Locale locale)` Describes object for output.
`abstract java.lang.String` | `getJavaDescription(java.lang.Object value)` Java initialization code.
`protected java.lang.String` | `getSeparator()` Возвращает разделитель параметров.
`static boolean` | `isNewLineParameters()` Must parameters list use one line.
`static void` | `setNewLineParameters(boolean aNewLineParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_LINE_SEPARATOR

    protected static final java.lang.String ONE_LINE_SEPARATOR

See Also:
  Constant Field Values

### NEW_LINE_SEPARATOR

    protected static final java.lang.String NEW_LINE_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### ClassDescriptor

    public ClassDescriptor()

Method Detail

### getDescriptedClass

    public abstract java.lang.Class getDescriptedClass()

  Class of descripting object.
  Класс описываемого объекта.

### getJavaDescription

    public abstract java.lang.String getJavaDescription(java.lang.Object value)

  Java initialization code.
  Возвращает код инициализации на Java.

### getDescription

    public abstract java.lang.String getDescription(java.lang.Object value)

  Describes object for output.
  Возвращает описание объекта для вывода на экран.

  See Also:
    `getDescription(Object, Locale)`

### getDescription

    public java.lang.String getDescription(java.lang.Object value,
                                           java.util.Locale locale)

  Describes object for output.
  Возвращает описание объекта для вывода на экран.

  Parameters:
    `value` - Descripting object.
    Описываемый объект.
    `locale` - Localization.
    Локализация
  Returns:
    Object description.
    Описание объекта

### getClassName

    protected java.lang.String getClassName()

  Возвращает полное имя класса.

### getSeparator

    protected java.lang.String getSeparator()

  Возвращает разделитель параметров. Или запятая, или запятая с переходом на новую строку.

### isNewLineParameters

    public static boolean isNewLineParameters()

  Must parameters list use one line. Used when java code generated - if code will be too long, it is better to write each parameter in new line.
  Делать ли список параметров на одной строке. Используется при генарации java - кода, когда он очень длинный, лучше каждый параметр делать с новой строки для удобочитаемости.

### setNewLineParameters

    public static void setNewLineParameters(boolean aNewLineParameters)

  See Also:
    `isNewLineParameters()`

### canProcessNull

    public boolean canProcessNull()

  Does class plan to process null values. Берет ли класс на себя обработку пустых значений.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD